Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007543TestLinkGUIpublic2016-05-13 10:292016-09-08 15:12
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007543: Display multilined text content according to text editor configuration
DescriptionIn my company, testlink is configured to use textplain editor for all text area.
Example for build description :
    $tlCfg->gui->text_editor['build'] = array( 'type' => 'none');

If I use LF during declaration (see attachment 01-edit.PNG), LF are not displayed in view page (see attachment 02-before.PNG). Testlink should display text according to configuration for all sections where LF can be used.

I modified testlink for buildView (provided in additional information, see attachment 03-after.PNG for GUI result).

I want to modify Testlink to display text according to configuration for all sections where LF can be used in textplain, but only if modifications are merged with TestLink official code.


Could you please :
- confirm that code modification are compliant with TestLink code rules ?
- Confirm that future code modification provided could be merged with trunk ?
- confirm that code modification should be sent through GitHub ?
Additional Informationmodification example for buildView :

buildView.php
    require_once("web_editor.php");
    $editorCfg = getWebEditorCfg('build');
    $gui->editorType = $editorCfg['type'];

buildView.tpl
    <td>{$build.notes}</td>
==>
    <td>{if $gui->editorType eq 'none'}{$build.notes|nl2br}{else}{$build.notes}{/if}</td>
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon 01-edit.PNG [^] (3,940 bytes) 2016-05-13 10:30


png file icon 02-before.PNG [^] (4,479 bytes) 2016-05-13 10:30


png file icon 03-after.PNG [^] (5,264 bytes) 2016-05-13 10:30

- Relationships
related to 0007554closedfman TestProject View - Display multilined text content according to text editor configuration 
related to 0007555closedfman Platform View - Display multilined text content according to text editor configuration 
related to 0007556closedfman TestPlan View - Display multilined text content according to text editor configuration 
related to 0007557closedfman Requirement Specifications View - Display multilined text content according to text editor configuration 
related to 0007558closedfman Test Specification View - Display multilined text content according to text editor configuration 
related to 0007559closedfman Test Execution View - Display multilined text content according to text editor configuration 
related to 0007560closedfman Report and Metrics - Display multilined text content according to text editor configuration 
related to 0007561closedfman Assign Requirements - Display multilined text content according to text editor configuration 
related to 0007562closedfman Search TestCases - Display multilined text content according to text editor configuration 
related to 0007563closedfman TestCases Version comparator - Display multilined text content according to text editor configuration 
related to 0007564closedfman Requirements Version Comparator - Display multilined text content according to text editor configuration 
related to 0007565closedfman TestCases Edition - Display multilined text content according to text editor configuration 
related to 0007544closedfman BUILD View - Display multilined text content according to text editor configuration 
related to 0007550closedfman Roles View - Display multilined text content according to text editor configuration 

-  Notes
(0024824)
fman (administrator)
2016-05-13 17:10

Your solution is ok, but I would prefer a little bit different implementation.

I will move getWebEditorCfg($feature='all')

 inside common.php

Wait Till I confirm the change, then go ahead with your changes

regards
(0024826)
fman (administrator)
2016-05-13 17:37

see related issue.
Please open one issue for feature you will fix.
(0024839)
Mr.Bricodage (updater)
2016-05-17 09:38
edited on: 2016-05-17 09:39

I just created 0007550 for roles.
Waiting your confirmation that I understood your code submission process before sending others modifications.

(0025021)
Mr.Bricodage (updater)
2016-06-26 09:35

should be marked as resolved as soon as linked issues will be marked as resolved
(0025223)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-05-13 10:29 Mr.Bricodage New Issue
2016-05-13 10:30 Mr.Bricodage File Added: 01-edit.PNG
2016-05-13 10:30 Mr.Bricodage File Added: 02-before.PNG
2016-05-13 10:30 Mr.Bricodage File Added: 03-after.PNG
2016-05-13 17:10 fman Note Added: 0024824
2016-05-13 17:34 fman Issue cloned: 0007544
2016-05-13 17:34 fman Relationship added related to 0007544
2016-05-13 17:37 fman Note Added: 0024826
2016-05-13 17:37 fman Assigned To => fman
2016-05-13 17:37 fman Status new => feedback
2016-05-17 09:31 Mr.Bricodage Relationship added related to 0007550
2016-05-17 09:38 Mr.Bricodage Note Added: 0024839
2016-05-17 09:38 Mr.Bricodage Status feedback => assigned
2016-05-17 09:39 Mr.Bricodage Note Edited: 0024839 View Revisions
2016-05-20 08:30 Mr.Bricodage Relationship added related to 0007554
2016-05-20 08:32 Mr.Bricodage Relationship added related to 0007555
2016-05-20 08:34 Mr.Bricodage Relationship added related to 0007556
2016-05-20 09:43 Mr.Bricodage Relationship added related to 0007557
2016-05-20 09:43 Mr.Bricodage Relationship added related to 0007558
2016-05-20 09:43 Mr.Bricodage Relationship added related to 0007559
2016-05-20 09:43 Mr.Bricodage Relationship added related to 0007560
2016-05-21 00:57 Mr.Bricodage Relationship added related to 0007561
2016-05-21 00:57 Mr.Bricodage Relationship added related to 0007562
2016-05-21 00:57 Mr.Bricodage Relationship added related to 0007563
2016-05-21 00:58 Mr.Bricodage Relationship added related to 0007564
2016-05-21 00:58 Mr.Bricodage Relationship added related to 0007565
2016-06-26 09:35 Mr.Bricodage Note Added: 0025021
2016-06-27 05:44 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-06-27 05:44 fman Status assigned => resolved
2016-06-27 05:44 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-06-27 05:44 fman Resolution open => fixed
2016-09-08 15:12 fman Note Added: 0025223
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker